QGIS Application - Feature request #1482
Add accessors to QgsVectorLayer
2009-01-08 03:13 PM - oliviert -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 11542
Description

I think it will be useful to add accessors in the [[QgsVectorLayer]] class for private members. For instance :
const [[QgsFeaturelds]]& getDeletedFeatureslds() const { return mDeletedFeaturelds; }
const [[QgsFeatureList]]& getAddedFeatures() const { return mAddedFeatures; }
const [[QgsGeometryMap]]& getChangedGeometries() const { return mChangedGeometries; }

Maybe it will also be a good idea for other members ...

History

#1 - 2010-06-11 10:13 PM - Paolo Cavallini

Still true?

#2 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-11-16 08:25 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee deleted (nobody -)

Hello, bug triage...

since QGIS 2.0, you can access those attributes by using a QgsVectorLayerEditBuffer from the QgsVectorLayer. There are the following public methods:

- addedFeatures()
- deletedFeaturelds()
- changedGeometries()

| am closing this old feature request (feel free to reopen it if you think there is still need to have a private access directly in QgsVectorLayer) !
http://qgis.org/api/classQgsVectorLayerEditBuffer.html
